Bug 125971 - [PATCH] EL3 U4: ia32e smp Kernel doesn't bringup cpus with apicid >= 8
[PATCH] EL3 U4: ia32e smp Kernel doesn't bringup cpus with apicid >= 8
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia32e Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brock Organ
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-06-14 13:39 EDT by Suresh Siddha
Modified: 2013-08-05 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the problem (4.59 KB, patch)
2004-06-14 13:41 EDT, Suresh Siddha
no flags Details | Diff

  None (edit)
Description Suresh Siddha 2004-06-14 13:39:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
RH  EL3 U2/U3 kernels doesn't bringup the secondary cpus whose apicid 
is greater than 8. smpboot.c code assumes the apicid of all the 
secondary processors will be less than 8. 

There are some Intel MP platforms in development(4-way, 8 with HT)  
which will runinto this problem. On such systems apic id's of the 
processors are not sequential. And so some of the processors apciids 
will be greater than 8. On such systems when we boot RHEL3 kernel, we 
will see only those processors with apicid<8 after bootup. We don't 
see all 8 processors up and running as desired.

This problem is fixed in 2.6 base, when ia32e support is added.

Version-Release number of selected component (if applicable):
kernel-2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1.Boot EL3 on a system which as some of the processors apic id > 8
2.You will see only those processors which has apicid < 8  up and 
running
3.
    

Additional info:
Comment 1 Suresh Siddha 2004-06-14 13:41:57 EDT
Created attachment 101118 [details]
Patch fixing the problem

During smpboot, attached patch will now enable the kernel to kick processors
with apicid>8
Comment 2 Ernie Petrides 2004-09-30 08:35:09 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.14.EL).
Comment 3 John Flanagan 2004-12-20 15:55:20 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.